import React from 'react';
import InkTextInput from 'ink-text-input';
import { extractProps } from '../utils/react';
declare type InkTextInputProps = extractProps<typeof InkTextInput>;
declare type TextInputProps = InkTextInputProps & {
    name: string;
    prefix?: string;
    autoFocus?: boolean;
};
export declare const TextInput: React.FunctionComponent<TextInputProps>;
export {};
